//=======================================================================
/**
 * @file TestingSession.h
 * @author Priyonto M rahman
 * @copyright Copyright (C) 2023 Priyonto M rahman
 *
 * MIT License
 *
 * Copyright (c) 2023 Priyonto M rahman
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
//=======================================================================


#ifndef TESTINGSESSION_H
#define TESTINGSESSION_H

/**
 * @ingroup DataAnalysisReporting
 * @struct TestingSession
 * @brief Represents a specific testing session.
 *
 * This struct contains information related to a single testing session,
 * including its unique session ID, the ID of the sample being tested,
 * the total number of trials conducted during the session, and the
 * duration of the session in seconds.
 */
struct TestingSession {
    int sessionId;    ///< The unique identifier of the testing session.
    int sampleId;     ///< The identifier of the sample being tested in this session.
    int trialsCount;  ///< The total number of trials conducted during the session.
    int duration;     ///< The duration of the session in seconds.
};

#endif // TESTINGSESSION_H

