/**
 * @mainpage AudibleT
 * 
 * @section intro_sec Introduction
 *
 * AudibleT is a real-time embedded application for interactive A/B/X testing for subjective testing of audio parameters.
 * 
 * @section overview_sec Overview
 *
 * The project is focused on developing a real-time embedded application for the subjective assess-
 * ment of audio parameters. This project’s scope is limited to Just Noticeable Difference (JND) testing.
 * The study around this project investigates the audio parameters suitable for JND while diving into
 * different methods of testing such parameters. This tool is developed to allow real-time equalizer
 * coefficients update as well as offer A/B/X testing of linear distortion. The system currently supports
 * stereo audio output and a graphical user interface for running training and testing sessions with sev-eral
 * configurable options and provides binomial distribution analysis and confusion matrix of each
 * conducted ABX testing session. The tool utilized JACK audio connection kit for low latency audio, and
 * is optimized for general purpose computer as well as tested on Raspberry Pi 400.

 * @section modules_sec Modules
 *
 * The application is divided into the following modules. Each of these modules utilized several classes
 * stucts, utility files to provide overall functionality of the software.
 *
 * - @ref UserInterface
 * - @ref JackExternalClient
 * - @ref DataAnalysisReporting
 * 
 * @section license_sec License
 * 
 * MIT License
 *
 * Copyright (c) 2023 Priyonto M rahman
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 * @defgroup UserInterface User Interface
 * @brief Grouping of classes, functions, etc. related to the user interface.
 *
 * @defgroup TrainingUI The user interface for conducting training sessions.
 * @ingroup UserInterface
 * @brief Grouping of classes, functions, etc. related to the training user interface.
 *
 * @defgroup TestingUI The user interface for conducting test sessions.
 * @ingroup UserInterface
 * @brief Grouping of classes, functions, etc. related to the testing user interface.
 *
 * @defgroup StatisticsUI The user interface for visualizing test results.
 * @ingroup UserInterface
 * @brief Grouping of classes, functions, etc. related to the statistics user interface.
 *
 * @defgroup Utils The helper classes, enums, structs used across the application.
 * @ingroup UserInterface
 * @brief Grouping of classes, functions, etc. related to the utility,
 *
 * @defgroup JackExternalClient Jack External Client
 * @brief Grouping of classes, functions, etc. related to the Jack external client.
 *
 * @defgroup DataAnalysisReporting Data Analysis and Reporting
 * @brief Grouping of classes, functions, etc. related to data analysis and reporting.
 */
