#include "BenchmarkDatabaseManager.h"

void BenchmarkDatabaseManager::initTestCase()
{
    dbManager = new DatabaseManager();
}

void BenchmarkDatabaseManager::cleanupTestCase()
{
    delete dbManager;
}

void BenchmarkDatabaseManager::benchmarkSetupDatabase()
{
    QBENCHMARK {
        dbManager->setupDatabase();
    }
}

void BenchmarkDatabaseManager::benchmarkInsertAudioFile()
{
    QString path = "/path/to/audio/file";
    QString filename = "testAudioFile";
    
    QBENCHMARK {
        dbManager->insertAudioFile(path, filename);
    }
}

void BenchmarkDatabaseManager::benchmarkGetAudioFiles()
{
    QBENCHMARK {
        dbManager->getAudioFiles();
    }
}

void BenchmarkDatabaseManager::benchmarkClearAudioFiles()
{
    QBENCHMARK {
        dbManager->clearAudioFiles();
    }
}

void BenchmarkDatabaseManager::benchmarkCreateTestSession()
{
    QBENCHMARK {
        dbManager->createTestSession(1, 5);
    }
}

void BenchmarkDatabaseManager::benchmarkUpdateTestSessionEndTime()
{
    QBENCHMARK {
        dbManager->updateTestSessionEndTime(1);
    }
}

void BenchmarkDatabaseManager::benchmarkGetSessionsWithDuration()
{
    QBENCHMARK {
        dbManager->getSessionsWithDuration();
    }
}

void BenchmarkDatabaseManager::benchmarkInsertTrial()
{
    QBENCHMARK {
        dbManager->insertTrial(1, "correctResponse", "userResponse", 500);
    }
}

void BenchmarkDatabaseManager::benchmarkGetTrialsForSession()
{
    QBENCHMARK {
        dbManager->getTrialsForSession(1);
    }
}

void BenchmarkDatabaseManager::benchmarkGetAverageTrialsPerSession()
{
    QBENCHMARK {
        dbManager->getAverageTrialsPerSession();
    }
}

void BenchmarkDatabaseManager::benchmarkGetAverageResponseTimePerTrial()
{
    QBENCHMARK {
        dbManager->getAverageResponseTimePerTrial();
    }
}

void BenchmarkDatabaseManager::benchmarkGetAverageDurationPerSession()
{
    QBENCHMARK {
        dbManager->getAverageDurationPerSession();
    }
}

void BenchmarkDatabaseManager::benchmarkGetAverageSuccessPerSession()
{
    QBENCHMARK {
        dbManager->getAverageSuccessPerSession();
    }
}

#include "BenchmarkDatabaseManager.moc"
