#ifndef TESTDATABASEMANAGER_H
#define TESTDATABASEMANAGER_H

#include <QObject>

#include "DatabaseManager.h"

class TestDatabaseManager : public QObject
{
    Q_OBJECT

private slots:
    void initTestCase();
    void cleanupTestCase();

    void testSetupDatabase();
    void testDropAndRecreateTables();
    void testInsertAudioFile();
    void testGetAudioFiles();
    void testClearAudioFiles();
    void testCreateTestSession();
    void testUpdateTestSessionEndTime();
    void testGetSessionsWithDuration();
    void testInsertTrial();
    void testGetTrialsForSession();
    void testGetAverageTrialsPerSession();
    void testGetAverageResponseTimePerTrial();
    void testGetAverageDurationPerSession();
    void testGetAverageSuccessPerSession();

private:
    DatabaseManager *dbManager;
};

#endif // TESTDATABASEMANAGER_H
